#ifndef GRAPHICS_H
#define GRAPHICS_H

#include <stdio.h>
#include <stdarg.h>
#include <string.h>

#define SetPixel( x, y, c, i ) if( (x) >= 0 && (y) >= 0 & (x) < (i)->width && (y) < (i)->height ){ (i)->bitmap[ ((y)*((i)->width))+(x) ] = (c);}

typedef struct Image_tag{
	int width, height;
	unsigned char *bitmap;
} Image; 

void Clear( Image *image );
//void SetPixel( int x, int y, int color, Image *image );
void MyDrawLine( int x1, int y1, int x2, int y2, int color, Image *image );

/*
class Image {
        public:
        char *bitmap;
        char palette[768];
        int width;
        int height;
        int transparent_color;

        Image( char *filename );
        Image( int width, int height );
        ~Image( void );

	void Clear( void );
	void SetPixel( int x, int y, int color );
	void DrawLine( int x1, int y1, int x2, int y2, int color );

        void Draw( int ulx, int uly, Image *video );
};
*/

#endif
